Subject: Re: [PATCH] gitweb-lib.sh: Set up PATH to use perl from /usr/bin

From: Zbigniew Jędrzejewski-Szmek <[email-masked]>
Date: Tue, 01 May 2012 18:23:37 +0200

On 05/01/2012 01:23 PM, Torsten Bögershausen wrote:
> When there are different version of perl installed on the machine,
> the $PATH may point out a different version of perl than /usr/bin.
> One example is to have /opt/local/bin/perl before /usr/bin/perl.
> 
> Sanitize the PATH by adding /usr/bin at the beginning
Hm, I see that most scripts have #!/usr/bin/perl, and only two have
#!env perl [1]. So in general we usally rely on using perl in /usr/bin.

But your patch affects other stuff than perl, and unconditionally
changing PATH set by the user is not nice, as it affect programs called
recursively. Wouldn't simply replacing all calls to bare perl in
t/gitweb-lib.sh with invocations of /usr/bin/perl be better?

[1]
% git grep 'env perl\b'
git-relink.perl:#!/usr/bin/env perl
git-svn.perl:#!/usr/bin/env perl

-
Zbyszek